Subject: maypop seeds

From: [email-masked] (Kezia K)
Date: 4 Dec 1994 12:05:16 -0500

Does anyone have information/experience growing the wild passionflower or
maypop from seed? We saved the seed to give to a family member, but I
cannot find specific information about propagating it.  I am aware that
some seeds need to be chilled, scarified, or otherwise handled in a
special way.

Any info, most appreciated.  Thanks

KeziaK
Northern VA